#!/bin/sh

pid=`pgrep -f auto-back1.sh`

if [ -z $pid ]
then
sed -i 's/k80/k-on80/g' /usr/share/applications/auto-back.desktop
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:0 uint32:0 string:device string: string:"Background auto-changer is ON" string: string:/usr/share/icons/hicolor/64x64/apps/auto-back-on64.png uint32:0 >/dev/null
if [ ! -f /etc/init/apps/auto-back-changer.conf ]; then
cp -f /opt/N950QTweak/Autowall/auto-back-changer.conf /etc/init/apps && /sbin/initctl start apps/auto-back-changer && rm -f /etc/init/apps/auto-back-changer.conf
else
/sbin/initctl start apps/auto-back-changer
fi
else
sed -i 's/k-on80/k80/g' /usr/share/applications/auto-back.desktop
/sbin/initctl stop apps/auto-back-changer
kill $pid >/dev/null
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:0 uint32:0 string:device string: string:"Background auto-changer is OFF" string: string:/usr/share/icons/hicolor/64x64/apps/auto-back64.png uint32:0 >/dev/null
fi

exit 0
