#!/bin/sh

pid=`pgrep -f auto-wall1.sh`

if [ -z $pid ]
then
sed -i 's/l80/l-on80/g' /usr/share/applications/auto-wall.desktop
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:0 uint32:0 string:device string: string:"Wallpaper auto-changer is ON" string: string:/usr/share/icons/hicolor/64x64/apps/auto-wall-on64.png uint32:0 >/dev/null
if [ ! -f /etc/init/apps/auto-wall-changer.conf ]; then
cp -f /opt/N950QTweak/Autowall/auto-wall-changer.conf /etc/init/apps && /sbin/initctl start apps/auto-wall-changer && rm -f /etc/init/apps/auto-wall-changer.conf
else
/sbin/initctl start apps/auto-wall-changer
fi
else
sed -i 's/l-on80/l80/g' /usr/share/applications/auto-wall.desktop
/sbin/initctl stop apps/auto-wall-changer
kill $pid >/dev/null
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:0 uint32:0 string:device string: string:"Wallpaper auto-changer is OFF" string: string:/usr/share/icons/hicolor/64x64/apps/auto-wall64.png uint32:0 >/dev/null
fi

exit 0
