#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
CYAN='\033[1;36m'
BLINK='\033[5m'

    echo " ---------------------------------------------"
    echo -e "|           ${CYAN}Open GIF image with:   ${NORMAL}           |"
    echo " ---------------------------------------------"
    echo -e "|  ${YELLOW}B: Default browser${NORMAL}                         |"
    echo "|                                             |"
    echo -e "|  ${YELLOW}F: Firefox browser${NORMAL}                         |"
    echo "|                                             |"
    echo -e "|  ${YELLOW}R: Restore to default${NORMAL}                      |"
    echo " ---------------------------------------------"
    echo "For Exit, just press Enter..."
    echo ""
status0=$(grep 'image/gif' /usr/share/applications/defaults.list | cut -d '=' -f2)
    echo -e "Current status is: ${YELLOW}$status0${NORMAL}"
    echo ""
    	read -p "Choose a letter: " ANS
status=$(grep 'image/gif' /usr/share/applications/defaults.list | cut -d '/' -f2)
		case $ANS in
b|B ) dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'x-nokia.internet' string:'' string:'GIF can be opened with def. browser...' string:'' string:'/usr/share/icons/hicolor/64x64/apps/gif-asso64.png' uint32:0 > /dev/null
     sed -i -e "s/$status/gif=browser.desktop/g" /usr/share/applications/defaults.list
     echo -e "${YELLOW}GIF can be opened with def. browser.${NORMAL}" 
     sleep 2 ;;

f|F ) dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'x-nokia.internet' string:'' string:'GIF can be opened with Firefox browser...' string:'' string:'/usr/share/icons/hicolor/64x64/apps/gif-asso64.png' uint32:0 > /dev/null
     sed -i -e "s/$status/gif=fennec.desktop/g" /usr/share/applications/defaults.list
     echo -e "${YELLOW}GIF can be opened with Firefox browser.${NORMAL}" 
     sleep 2 ;;

r|R ) dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'x-nokia.internet' string:'' string:'GIF file association restored to default !' string:'' string:'/usr/share/icons/hicolor/64x64/apps/gif-asso64.png' uint32:0 > /dev/null
     sed -i -e "s/$status/gif=galleryserviceaction.desktop/g" /usr/share/applications/defaults.list
     echo -e "${YELLOW}GIF file association restored to default!${NORMAL}" 
     sleep 2 ;;

  esac
echo " "
