#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
CYAN='\033[1;36m'
BLINK='\033[5m'

status1=$(grep 'http-url' /home/user/.local/share/applications/defaults.list | cut -d '=' -f2) 
status2=$(grep 'image/gif' /usr/share/applications/defaults.list | cut -d '/' -f2)
status3=$(grep 'image/gif' /usr/share/applications/defaults.list | cut -d '=' -f2)

echo ""
if [[ $status1 == "browser.desktop" ]]; then
if [[ $status1 == $status3 ]]; then
echo -e "${RED}Already changed to $status3.${NORMAL}"
else
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'x-nokia.internet' string:'' string:'GIF file association changed to your browser !' string:'' string:'/usr/share/icons/hicolor/64x64/apps/gif-asso64.png' uint32:0 > /dev/null
sed -i -e "s/$status2/gif=$status1/g" /usr/share/applications/defaults.list 
echo -e "${YELLOW}GIF can be opened with $status1.${NORMAL}" 
fi
 else
 if [[ $status1 == "fennec.desktop" ]]; then
if [[ $status1 == $status3 ]]; then
echo -e "${RED}Already changed to $status3.${NORMAL}"
else
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'x-nokia.internet' string:'' string:'GIF file association changed to your browser !' string:'' string:'/usr/share/icons/hicolor/64x64/apps/gif-asso64.png' uint32:0 > /dev/null
sed -i -e "s/$status2/gif=$status1/g" /usr/share/applications/defaults.list 
echo -e "${YELLOW}GIF can be opened with $status1.${NORMAL}" 
fi
 else
 echo -e "${RED}This browser (${YELLOW}$status1${NORMAL}${RED}) is\nnot suported!${NORMAL}"
 fi
fi
echo ""
echo "Want restore to default ?"
echo ""
read -p "Press Y for Yes or enter for Exit: " ANS
echo ""
status2=$(grep 'image/gif' /usr/share/applications/defaults.list | cut -d '/' -f2) 
case $ANS in
y|Y ) dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'x-nokia.internet' string:'' string:'GIF file association restored to default !' string:'' string:'/usr/share/icons/hicolor/64x64/apps/gif-asso64.png' uint32:0 > /dev/null
sed -i -e "s/$status2/gif=galleryserviceaction.desktop/g" /usr/share/applications/defaults.list
echo -e "${YELLOW}GIF file association restored to default!${NORMAL}"
echo "" 
sleep 2 ;;
* ) echo -e "${RED}Exiting...${NORMAL}"
echo "" 
sleep 1  ;;
esac
