#!/bin/bash

status=$(/etc/init.d/openvpn status | awk '{print $4}' | cut -d'.' -f1)
if [[ $status == "not" ]]; then
sed -i 's/openvpn80-on.png/openvpn80-off.png/; s/Name=VPN ON/Name=VPN OFF/' /home/user/.local/share/applications/openvpn.desktop
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:0 uint32:0 string:'device' string:'' string:'OpenVPN is ON' string:'' string:'/usr/share/icons/hicolor/64x64/apps/openvpn64-on.png' uint32:0 > /dev/null
/etc/init.d/openvpn start
else
sed -i 's/openvpn80-off.png/openvpn80-on.png/; s/Name=VPN OFF/Name=VPN ON/' /home/user/.local/share/applications/openvpn.desktop
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:0 uint32:0 string:'device' string:'' string:'OpenVPN is OFF' string:'' string:'/usr/share/icons/hicolor/64x64/apps/openvpn64-off.png' uint32:0 > /dev/null
/etc/init.d/openvpn stop
fi

exit 0