#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'

target2=/usr/share/themes/base/meegotouch/libmeego-keyboard/style
backup2=/home/user/MyDocs/.N950QTweakBackup/usr/share/themes/base/meegotouch/libmeego-keyboard/style
target3=/usr/share/themes/blanco/meegotouch/libmeego-keyboard/style
backup3=/home/user/MyDocs/.N950QTweakBackup/usr/share/themes/blanco/meegotouch/libmeego-keyboard/style
 
status=$(grep -o "safety-margin-left: -2px;" /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css)
status2=$(grep -o 'meegotouch-keyboard-toolbar-background-black' /usr/share/themes/blanco/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css | head -1)

if [[ $status == "safety-margin-left: -2px;" ]]; then
echo -e "${RED}Detected Large vkb from another tweak!${NORMAL}"
cp -f /opt/N950QTweak/Large_vkb/* /usr/share/themes/base/meegotouch/libmeego-keyboard/style
   if [[ $status2 == "meegotouch-keyboard-toolbar-background-black" ]]; then
   echo -e "${RED}Detected Black chat from another tweak!${NORMAL}"
   cp -f /opt/N950QTweak/BlackChat/usr/share/themes/blanco/meegotouch/libmeego-keyboard/style/* /usr/share/themes/blanco/meegotouch/libmeego-keyboard/style
sed -i "/MImToolbarSwypeStyle {/,/backg/c\\
MImToolbarSwypeStyle {\\
    background-image: \"meegotouch-keyboard-toolbar-background-black\" \$ROUNDED_CORNERS; " /usr/share/themes/base/meegotouch/libswype-keyboard/style/libswype-keyboard.css
sed -i "/MImToolbarStyle {/,/backg/c\\
MImToolbarStyle {\\
    background-image: \"meegotouch-keyboard-toolbar-background-black\" \$ROUNDED_CORNERS; " /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css
   else
     cp -f $backup3/* $target3
   fi
else
  cp -f $backup2/* $target2
     if [[ $status2 == "meegotouch-keyboard-toolbar-background-black" ]]; then
   echo -e "${RED}Detected Black chat from another tweak!${NORMAL}"
   cp -f /opt/N950QTweak/BlackChat/usr/share/themes/blanco/meegotouch/libmeego-keyboard/style/* /usr/share/themes/blanco/meegotouch/libmeego-keyboard/style
sed -i "/MImToolbarSwypeStyle {/,/backg/c\\
MImToolbarSwypeStyle {\\
    background-image: \"meegotouch-keyboard-toolbar-background-black\" \$ROUNDED_CORNERS; " /usr/share/themes/base/meegotouch/libswype-keyboard/style/libswype-keyboard.css
sed -i "/MImToolbarStyle {/,/backg/c\\
MImToolbarStyle {\\
    background-image: \"meegotouch-keyboard-toolbar-background-black\" \$ROUNDED_CORNERS; " /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css
   else
     cp -f $backup3/* $target3
   fi
fi

exit 0
