#!/bin/sh

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
BLINK='\033[5m'
#enable

status=$(sed -n '7p' /opt/N950QTweak/Tweaks/checker.sh | grep -o "d.*")

if [[ $status == "disable" ]]; then
echo -e "${BLINK}${RED}Auto-checker disabled!${NORMAL}"
exit 0
 else
  echo -e "${YELLOW}Auto-checker enabled! Checking...${NORMAL}"

if eval "ping -c 1 www.google.com" > /dev/null 2> /dev/null;then
 if [ ! -f /usr/bin/wget ]; then
  echo "wget not installed, trying to install..."
  pkill pkgmgrd
  pkill pkgmgrd
   echo "" | dpkg -i /opt/N950QTweak/SYS/wget* || echo "failed to install wget"
      mkdir -p /home/user/MyDocs/Downloads/NEWALL
      cd /home/user/MyDocs/Downloads/NEWALL && wget --no-check-certificate -q https://raw.github.com/Schturman/N9QTweak/master/n950-qtweakmy.sh
      if [ ! -f /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh ]; then
       rm -rf /home/user/MyDocs/Downloads/NEWALL
        else
a=`sed -n 88p /opt/N950QTweak/N9QT`
b=`sed -n 16p /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh`
if [[ $a < $b ]];then
          echo -e "${YELLOW}Version can be downloaded is: ${NORMAL}"
          echo -en ${RED}${BLINK}
          echo |sed -n 16p /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh|grep -o "N9.*"
          echo -en ${NORMAL}
          echo ""
          read -p "Press Y to see changelog or Enter for exit: " ANS
          echo ""
		case $ANS in
	y|Y)
          sh /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh
          echo -n '1' > /opt/N950QTweak/updater.back
          line1=`sed -n 16p /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh`
          sed -i -e "1 s/.*/$line1/g" /opt/N950QTweak/updater.back && sed -i "s/# N950 QTweak v//g" /opt/N950QTweak/updater.back
          rm -rf /home/user/MyDocs/Downloads/NEWALL
          read -p "Press Y for download or Enter for exit: " ANS
          echo ""
		case $ANS in
		y|Y) 
if [ ! -f /etc/apt/sources.list.d/openrepos-Schturman.list ]; then
		echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Downloading NEW version...${NORMAL}"
      mkdir -p /home/user/MyDocs/Downloads/NEWALL
	  cd /opt/N950QTweak
      bash /opt/N950QTweak/Tweaks/downloader4.sh
      if [ ! -f /home/user/MyDocs/Downloads/NEWALL/n950-qtweak*.deb ]; then
       echo ""
       echo -e "${RED}This version NOT exist !!!${NORMAL}"
       rm -rf /home/user/MyDocs/Downloads/NEWALL
        else
         echo ""
          echo -e "${YELLOW}NEW version downloaded successfully...${NORMAL}"
          echo ""
          echo -e "${YELLOW}Installing new version...${NORMAL}"
         pkill pkgmgrd
         pkill pkgmgrd
       dpkg -i /home/user/MyDocs/Downloads/NEWALL/*
       cp -f /home/user/MyDocs/Downloads/NEWALL/* /home/user/MyDocs/Downloads && rm -rf /home/user/MyDocs/Downloads/NEWALL
       echo ""
       echo -e "${YELLOW}NEW version installed successfully...${NORMAL}"
         echo "You can continue tweaking..."
         echo ""
      fi
  else
    echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Downloading & installing NEW version...${NORMAL}"
    pkill pkgmgrd
    pkill pkgmgrd
    apt-get clean
    apt-get update -o Dir::Etc::sourcelist="sources.list.d/openrepos-Schturman.list" -o Dir::Etc::sourceparts="-" -o APT::Get::List-Cleanup="0" > /dev/null 2>&1
    apt-get install --reinstall n950-qtweakall -y
    apt-get clean
    echo ""
    echo -e "${YELLOW}NEW version installed successfully...${NORMAL}"
    echo "You can continue tweaking..."
    echo ""
  fi ;;
		 * ) echo "Aborting!... You can continue tweaking..."
          echo ""
		esac ;;
		 * ) echo "Aborting!... You can continue tweaking..."
          echo ""
		esac
		rm -rf /home/user/MyDocs/Downloads/NEWALL
		rm -f /opt/N950QTweak/updater.back
          else
            rm -rf /home/user/MyDocs/Downloads/NEWALL
        fi
      fi
   else
      mkdir -p /home/user/MyDocs/Downloads/NEWALL
      cd /home/user/MyDocs/Downloads/NEWALL && wget --no-check-certificate -q https://raw.github.com/Schturman/N9QTweak/master/n950-qtweakmy.sh
      if [ ! -f /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh ]; then
       rm -rf /home/user/MyDocs/Downloads/NEWALL
        else
a=`sed -n 88p /opt/N950QTweak/N9QT`
b=`sed -n 16p /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh`
if [[ $a < $b ]];then
          echo -e "${YELLOW}Version can be downloaded is: ${NORMAL}"
          echo -en ${RED}${BLINK}
          echo |sed -n 16p /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh|grep -o "N9.*"
          echo -en ${NORMAL}
          echo ""
          read -p "Press Y to see changelog or Enter for exit: " ANS
          echo ""
		case $ANS in
	y|Y)
          sh /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh
          echo -n '1' > /opt/N950QTweak/updater.back
          line1=`sed -n 16p /home/user/MyDocs/Downloads/NEWALL/n950-qtweakmy.sh`
          sed -i -e "1 s/.*/$line1/g" /opt/N950QTweak/updater.back && sed -i "s/# N950 QTweak v//g" /opt/N950QTweak/updater.back
          rm -rf /home/user/MyDocs/Downloads/NEWALL
          read -p "Press Y for download or Enter for exit: " ANS
          echo ""
		case $ANS in
		y|Y) 
if [ ! -f /etc/apt/sources.list.d/openrepos-Schturman.list ]; then
		echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Downloading NEW version...${NORMAL}"
      mkdir -p /home/user/MyDocs/Downloads/NEWALL
	  cd /opt/N950QTweak
      bash /opt/N950QTweak/Tweaks/downloader4.sh
      if [ ! -f /home/user/MyDocs/Downloads/NEWALL/n950-qtweak*.deb ]; then
       echo ""
       echo -e "${RED}This version NOT exist !!!${NORMAL}"
       rm -rf /home/user/MyDocs/Downloads/NEWALL
        else
         echo ""
          echo -e "${YELLOW}NEW version downloaded successfully...${NORMAL}"
          echo ""
          echo -e "${YELLOW}Installing new version...${NORMAL}"
         pkill pkgmgrd
         pkill pkgmgrd
       dpkg -i /home/user/MyDocs/Downloads/NEWALL/*
       cp -f /home/user/MyDocs/Downloads/NEWALL/* /home/user/MyDocs/Downloads && rm -rf /home/user/MyDocs/Downloads/NEWALL
       echo ""
       echo -e "${YELLOW}NEW version installed successfully...${NORMAL}"
         echo "You can continue tweaking..."
         echo ""
      fi
  else
    echo -e "${BLINK}${RED}WAIT!${NORMAL} ${YELLOW}Downloading & installing NEW version...${NORMAL}"
    pkill pkgmgrd
    pkill pkgmgrd
    apt-get clean
    apt-get update -o Dir::Etc::sourcelist="sources.list.d/openrepos-Schturman.list" -o Dir::Etc::sourceparts="-" -o APT::Get::List-Cleanup="0" > /dev/null 2>&1
    apt-get install --reinstall n950-qtweakall -y
    apt-get clean
    echo ""
    echo -e "${YELLOW}NEW version installed successfully...${NORMAL}"
    echo "You can continue tweaking..."
    echo ""
  fi ;;
		 * ) echo "Aborting!... You can continue tweaking..."
          echo ""
		esac ;;
		 * ) echo "Aborting!... You can continue tweaking..."
          echo ""
		esac
		rm -rf /home/user/MyDocs/Downloads/NEWALL
		rm -f /opt/N950QTweak/updater.back
          else
            rm -rf /home/user/MyDocs/Downloads/NEWALL
        fi
      fi
 fi
else
  echo -e "${BLINK}${RED}You are NOT connected!${NORMAL}"
 fi
fi
