#!/bin/bash

cd /home/user/MyDocs/Pictures/.backgrounds && rm -f Pstatus* Lstatus* Pdeskbg* Ldeskbg* Auto-wall* Qlaunchbar*
tmpFile=$(mktemp)
backgrounds="/home/user/MyDocs/Pictures/.backgrounds/themes"

files=$(find $backgrounds -type d > $tmpFile)
sed -i '1d' $tmpFile
total=$(cat "$tmpFile"|wc -l)
randomNumber=$(($RANDOM%$total))

i=0
while read line;  do
  if [ "$i" -eq "$randomNumber" ];then
    # Do stuff with file
    cp -f "$line"/* /home/user/MyDocs/Pictures/.backgrounds
    break
  fi
  let i="$i+1"
done < $tmpFile
rm $tmpFile
sleep 8
if [ ! -f /home/user/MyDocs/Pictures/.backgrounds/Pdeskbg2.png ]; then
sed -n -e '/LauncherButtonProgressIndicatorStyle:launching {base-image-name: \"spinnerinverted\";number-of-frames: 10;}/p' /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css >> /opt/N950QTweak/DeskBG/spinner.back
sed -n -e '/LauncherButtonProgressIndicatorStyle:launching {base-image-name: \"progress\";number-of-frames: 21;}/p' /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css >> /opt/N950QTweak/DeskBG/spinner.back
cp -f /home/user/MyDocs/Pictures/.backgrounds/Pdeskbg1.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg.png
cp -f /home/user/MyDocs/Pictures/.backgrounds/Ldeskbg1.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg-landscape.png
cp -f /opt/N950QTweak/DeskBG/2images/* /usr/share/themes/base/meegotouch/libmeegotouchhome/style
cp -f /opt/N950QTweak/DeskBG/notification/meeg* /usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-notifications
cp -f /opt/N950QTweak/usr/share/themes/base/meegotouch/libmeegotouchviews/style/mbannerstyle.css /usr/share/themes/base/meegotouch/libmeegotouchviews/style
sed -i '332 s/back.*/background-image:;/g' /usr/share/themes/base/meegotouch/libmeegotouchviews/style/mbannerstyle.css
if (grep -o spinnerinverted /opt/N950QTweak/DeskBG/spinner.back)
then
   sed -i 's/show-launch-progress.*/show-launch-progress: true;/' /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   echo 'LauncherButtonProgressIndicatorStyle:launching {base-image-name: "spinnerinverted";number-of-frames: 10;}' >> /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css
else
if (grep -o progress /opt/N950QTweak/DeskBG/spinner.back)
then
   sed -i 's/show-launch-progress.*/show-launch-progress: true;/' /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   echo 'LauncherButtonProgressIndicatorStyle:launching {base-image-name: "progress";number-of-frames: 21;}' >> /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css
 fi
fi
rm -f /opt/N950QTweak/DeskBG/spinner.back
if [ ! -f /home/user/MyDocs/Pictures/.backgrounds/Pstatus.png ]; then
cd /usr/share/themes/base/meegotouch/images && rm -f Pst* Lst*
	sed -i "/MWidgetStyle#StatusBarLandscapeWidget {/,/backg/c\\
MWidgetStyle#StatusBarLandscapeWidget {\\
    background-color: #000000; " /usr/share/themes/base/meegotouch/sysuid/style/statusarea.css
sed -i "/MWidgetStyle#StatusBarPortraitWidget {/,/backg/c\\
MWidgetStyle#StatusBarPortraitWidget {\\
    background-color: #000000; " /usr/share/themes/base/meegotouch/sysuid/style/statusarea.css
   sed -i "/MWidgetStyle#Gradient {/,/backg/c\\
MWidgetStyle#Gradient {\\
    background-image: gradient; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
  else
   cd /home/user/MyDocs/Pictures/.backgrounds && cp -f Pstatus.png Lstatus.png /usr/share/themes/base/meegotouch/images
	sed -i "/MWidgetStyle#StatusBarLandscapeWidget {/,/backg/c\\
MWidgetStyle#StatusBarLandscapeWidget {\\
    background-color: #000000; background-image: \"Lstatus\"; " /usr/share/themes/base/meegotouch/sysuid/style/statusarea.css
sed -i "/MWidgetStyle#StatusBarPortraitWidget {/,/backg/c\\
MWidgetStyle#StatusBarPortraitWidget {\\
    background-color: #000000; background-image: \"Pstatus\"; " /usr/share/themes/base/meegotouch/sysuid/style/statusarea.css
   sed -i "/MWidgetStyle#Gradient {/,/backg/c\\
MWidgetStyle#Gradient {\\
    background-image: gradient; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
fi
  if [ ! -f /home/user/MyDocs/Pictures/.backgrounds/Auto-wall.png ]; then
   :
   else
     devel-su user -c "cp -f /home/user/MyDocs/Pictures/.backgrounds/Auto-wall.png /home/user/.wallpapers"
     gconftool-2 -t string -s /desktop/meego/background/portrait/picture_filename /home/user/.wallpapers/empty
     gconftool-2 -t string -s /desktop/meego/background/portrait/picture_filename /home/user/.wallpapers/Auto-wall.png
   fi
  if [ ! -f /home/user/MyDocs/Pictures/.backgrounds/Qlaunchbar.png ]; then
  rm -f /usr/share/themes/blanco/meegotouch/images/backgrounds/quick-launch-bar-bg.png
sed -i "/QuickLaunchBarStyle {/,/background-image/c\\
QuickLaunchBarStyle {\\
    background-image:; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   else
   cp -f /home/user/MyDocs/Pictures/.backgrounds/Qlaunchbar.png /usr/share/themes/blanco/meegotouch/images/backgrounds/quick-launch-bar-bg.png
	sed -i "/QuickLaunchBarStyle {/,/background-image/c\\
QuickLaunchBarStyle {\\
    background-image: \"quick-launch-bar-bg\"; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
    fi
   else
    sed -n -e '/LauncherButtonProgressIndicatorStyle:launching {base-image-name: \"spinnerinverted\";number-of-frames: 10;}/p' /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css >> /opt/N950QTweak/DeskBG/spinner.back
sed -n -e '/LauncherButtonProgressIndicatorStyle:launching {base-image-name: \"progress\";number-of-frames: 21;}/p' /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css >> /opt/N950QTweak/DeskBG/spinner.back
cp -f /home/user/MyDocs/Pictures/.backgrounds/Pdeskbg1.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg.png
cp -f /home/user/MyDocs/Pictures/.backgrounds/Ldeskbg1.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg-landscape.png
cp -f /home/user/MyDocs/Pictures/.backgrounds/Pdeskbg2.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg-launcher.png
cp -f /home/user/MyDocs/Pictures/.backgrounds/Ldeskbg2.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg-launcher-landscape.png
cp -f /home/user/MyDocs/Pictures/.backgrounds/Pdeskbg3.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg-switcher.png
cp -f /home/user/MyDocs/Pictures/.backgrounds/Ldeskbg3.png /usr/share/themes/blanco/meegotouch/images/backgrounds/meegotouch-desktop-bg-switcher-landscape.png
cp -f /opt/N950QTweak/DeskBG/6images/* /usr/share/themes/base/meegotouch/libmeegotouchhome/style
cp -f /opt/N950QTweak/DeskBG/notification/meeg* /usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-notifications
cp -f /opt/N950QTweak/usr/share/themes/base/meegotouch/libmeegotouchviews/style/mbannerstyle.css /usr/share/themes/base/meegotouch/libmeegotouchviews/style
sed -i '332 s/back.*/background-image:;/g' /usr/share/themes/base/meegotouch/libmeegotouchviews/style/mbannerstyle.css
if (grep -o spinnerinverted /opt/N950QTweak/DeskBG/spinner.back)
then
   sed -i 's/show-launch-progress.*/show-launch-progress: true;/' /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   echo 'LauncherButtonProgressIndicatorStyle:launching {base-image-name: "spinnerinverted";number-of-frames: 10;}' >> /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css
else
if (grep -o progress /opt/N950QTweak/DeskBG/spinner.back)
then
   sed -i 's/show-launch-progress.*/show-launch-progress: true;/' /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   echo 'LauncherButtonProgressIndicatorStyle:launching {base-image-name: "progress";number-of-frames: 21;}' >> /usr/share/themes/base/meegotouch/libmeegotouchhome/style/libmeegotouchviews-modified-default.css
 fi
fi
rm -f /opt/N950QTweak/DeskBG/spinner.back
cd /usr/share/themes/base/meegotouch/images && rm -f Pst* Lst*
	sed -i "/MWidgetStyle#StatusBarLandscapeWidget {/,/backg/c\\
MWidgetStyle#StatusBarLandscapeWidget {\\
    background-color: #000000; " /usr/share/themes/base/meegotouch/sysuid/style/statusarea.css
sed -i "/MWidgetStyle#StatusBarPortraitWidget {/,/backg/c\\
MWidgetStyle#StatusBarPortraitWidget {\\
    background-color: #000000; " /usr/share/themes/base/meegotouch/sysuid/style/statusarea.css
   sed -i "/MWidgetStyle#Gradient {/,/backg/c\\
MWidgetStyle#Gradient {\\
    background-image: gradient; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   if [ ! -f /home/user/MyDocs/Pictures/.backgrounds/Auto-wall.png ]; then
   :
   else
     devel-su user -c "cp -f /home/user/MyDocs/Pictures/.backgrounds/Auto-wall.png /home/user/.wallpapers"
     gconftool-2 -t string -s /desktop/meego/background/portrait/picture_filename /home/user/.wallpapers/empty
     gconftool-2 -t string -s /desktop/meego/background/portrait/picture_filename /home/user/.wallpapers/Auto-wall.png
   fi
  if [ ! -f /home/user/MyDocs/Pictures/.backgrounds/Qlaunchbar.png ]; then
  rm -f /usr/share/themes/blanco/meegotouch/images/backgrounds/quick-launch-bar-bg.png
sed -i "/QuickLaunchBarStyle {/,/background-image/c\\
QuickLaunchBarStyle {\\
    background-image:; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
   else
   cp -f /home/user/MyDocs/Pictures/.backgrounds/Qlaunchbar.png /usr/share/themes/blanco/meegotouch/images/backgrounds/quick-launch-bar-bg.png
	sed -i "/QuickLaunchBarStyle {/,/background-image/c\\
QuickLaunchBarStyle {\\
    background-image: \"quick-launch-bar-bg\"; " /usr/share/themes/base/meegotouch/meegotouchhome/style/meegotouchhome.css
    fi
fi

/sbin/initctl restart xsession/mthemedaemon
/sbin/initctl restart xsession/applauncherd
/sbin/initctl restart xsession/mdecorator
/sbin/initctl restart xsession/devicelockd
/sbin/initctl restart xsession/presenced
/sbin/initctl restart xsession/meego-im-uiserver
/sbin/initctl restart xsession/conndlgs
pid=`pgrep -f transfer-ui`
devel-su user -c "kill $pid"
/sbin/initctl stop apps/extended-power-menu
sleep 1 && /sbin/initctl start apps/extended-power-menu
/sbin/initctl stop apps/callrecorder_recorder
sleep 1 && /sbin/initctl start apps/callrecorder_recorder
/sbin/initctl stop apps/callrecorder_phone
sleep 1 && /sbin/initctl start apps/callrecorder_phone
/sbin/initctl stop apps/wazapp
sleep 1 && /sbin/initctl start apps/wazapp
/sbin/initctl stop apps/ringingrestorerd
sleep 1 && /sbin/initctl start apps/ringingrestorerd
a=$(grep -n 'F-11-1' /home/user/MyDocs/Documents/N9QT_log.txt | awk '{print $1}' | cut -d':' -f1 | tail -1)
b=$(grep -n 'F-11-2' /home/user/MyDocs/Documents/N9QT_log.txt | awk '{print $1}' | cut -d':' -f1 | tail -1)
if [[ $a -eq 0 ]]; then
   gconftool -s -t b /desktop/meego/notifications/previews_enabled true
   else
   if [[ $a > 0 ]]; then
    if [[ $b -eq 0 ]]; then
    gconftool -s -t b /desktop/meego/notifications/previews_enabled false
    else
     if [[ $a > $b ]]; then
      gconftool -s -t b /desktop/meego/notifications/previews_enabled false
      else
      gconftool -s -t b /desktop/meego/notifications/previews_enabled true
     fi
    fi
   fi
fi
/sbin/initctl restart xsession/sysuid
/sbin/initctl restart xsession/celluid
/sbin/initctl restart xsession/group-nw-apps
sleep 2 && /sbin/initctl restart xsession/mthome
