#!/bin/sh

tmpFile=$(mktemp)
wallpapers="/home/user/.wallpapers"

files=$(find $wallpapers -type f > $tmpFile)
total=$(cat "$tmpFile"|wc -l)
randomNumber=$(($RANDOM%$total))

i=0
while read line;  do
  if [ "$i" -eq "$randomNumber" ];then
    # Do stuff with file
    gconftool-2 -t string -s /desktop/meego/background/portrait/picture_filename "$line"
    break
  fi
  let i="$i+1"
done < $tmpFile
rm $tmpFile
