#!/bin/sh
#################################################################
#### Created By Farhad Arghavan ( farhadarghavan@yahoo.com ) ####
################### Maemo.org ID ( farfary ) ####################
##################### Backup Script For N9 ######################
#################################################################

CLEAR=$'\e[H\e[2J'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
RED='\033[1;31m'
BLINK='\033[5m'
CYAN='\033[1;36m'
echo -en "$CLEAR"

################################################################
rm -f /home/user/MyDocs/BackDeb/BackupedListOfPackagesInBackAll.list 2>/dev/null
rm -rf /home/.backn9tmp
mkdir /home/.backn9tmp
cd /home/.backn9tmp
cat /var/lib/dpkg/available | grep "Package:" | cut -b 10- > BDpkg.tmp
wc -l BDpkg.tmp | cut -d " " -f1 > BDpkgNline.tmp
numpkg=`wc -l BDpkg.tmp | cut -d " " -f1`

################################################################


echo -en "$CLEAR"
echo -en "$CLEAR"
echo "----------------------------------------------"
echo -e ">>>>> ${YELLOW}Backup All User Installed Packages${NORMAL} <<<<<"
echo "----------------------------------------------"
echo " "
echo -e " ${RED}Backuping All Installed Packages${NORMAL}"
echo " "
echo -e " Number of Packages: ${BLINK}${CYAN}$numpkg${NORMAL} Pkgs"
echo ""
echo " If You Are Ready, Start Backuping ..."
echo ">> Yes (Yy) Or No (Nn) ?"
echo ""
read -p "Choose Y or N: " ans

	case $ans in
	
		[Yy] )
				
					################# Backup START #################
rm -f /home/user/MyDocs/BackDeb/BackupedListOfPackagesInBackAll.list 2>/dev/null
rm -rf /home/.backn9tmp
mkdir /home/.backn9tmp
cd /home/.backn9tmp
cat /var/lib/dpkg/available | grep "Package:" | cut -b 10- > BDpkg.tmp
wc -l BDpkg.tmp | cut -d " " -f1 > BDpkgNline.tmp
numpkg=`wc -l BDpkg.tmp | cut -d " " -f1`
echo -en "$CLEAR"
echo "-----------------------------------------------"
echo -e ">>>>> ${BLINK}${RED}Backup All User Installed Packages${NORMAL} <<<<<<"
echo "-----------------------------------------------"
echo " "
echo "> Backuping The List Of packages To /MyDocs/BackDeb/ ..."
printf "\033[1A"
devel-su user -c "cp -f /home/.backn9tmp/BDpkg.tmp /home/user/MyDocs/BackDeb/BackupedListOfAllPackages.list"
printf "\033[K"
echo "> Backuping The List Of packages To /MyDocs/BackDeb/ ... Done"
FILE="BDpkg.tmp"
sleep 1

wc -l BDpkg.tmp | cut -d " " -f1 > BDpkgNline.tmp
cp BDpkg.tmp BDpkgR.tmp
echo "Start Backuping in 2s ..."
sleep 2

while read line         
do   
	CLEAR=$'\e[H\e[2J'
	echo -en "$CLEAR"
	wc -l BDpkgR.tmp | cut -d " " -f1 > BDpkgNlineR.tmp
	echo "------------------------------------------- ---"
	echo -e ">> ${CYAN}Remained/All:${NORMAL}" `cat BDpkgNlineR.tmp ` \ "/" ` cat BDpkgNline.tmp` "Pkgs"
	echo "---------------------------------------------- "
	echo " "
	echo "|-> Packing: $line ...!"
	echo " "
	echo -e "-------------- ${YELLOW}Backuping Status:${NORMAL} -------------"
   sh /opt/backdeb/backdeb/backdeb-user-all.sh   $line
	echo " "
	echo "|-> Packing: $line > FINISHED !"
	sed -i 1d  BDpkgR.tmp
	echo " "
	echo "----------------------------------------- -----"
done <$FILE

echo "End"
sleep 1

rm -rf /home/.backn9tmp

					################# Backup END #################

						;;
						
		[Nn] )
		
				echo -en "$CLEAR"
				echo "Back to Backup Menu ?"
				echo ">> Yes (Yy) Or No (Nn) ?"
				echo ""
				read -p "Choose Y or N: " ANS
																
				case $ANS in
																
					[Yy] )
						sh /opt/backdeb/backdeb.sh
						;;
					[Nn] )
						exit 0
						;;
				esac
		;;
	esac					