#!/bin/bash

cd /opt/N950QTweak
bar="========================================"
barlength=${#bar}
FOLDER="http://dl.dropboxusercontent.com/u/17706605"
FILE[0]="N950QTweakBackup_9.8.4_all.zip"

echo "Calculating download size ..."

for (( i = 0 ; i < ${#FILE[@]} ; i++ ))
do
    if [ -f "${FILE[$i]}" ] ; then rm -f "${FILE[$i]}" ; fi
    length=$(wget "$FOLDER/${FILE[$i]}" --spider --server-response -O - 2>&1 | sed -ne '/Content-*.*gth/{s/.*: //;p}')
    totallength=$(($totallength + $length))
    touch "${FILE[$i]}"
    nice -n 19 wget -N -q "$FOLDER/${FILE[$i]}" 2>/dev/null &
done

mega=`echo "$totallength" | awk '{ foo = $1 / 1024 / 1024 ; printf "%0.2f Mb", foo }'`
echo "Downloading $totallength bytes ($mega)"

tmp=1
totaltmp=1

while [[ $totaltmp -lt $totallength ]]; do
    tmp1=$(stat "${FILE[0]}" | grep Size | awk '{print $2}')
    totaltmp=$(($tmp1))
    n=$(($totaltmp * $barlength / $totallength))
    percent=$((100 * $totaltmp / $totallength))
    printf "\r[%-${barlength}s]" "${bar:0:n}"
    printf " $percent%%"
    sleep 0.1
done
printf "\n"
cp -f N950QTweakBackup_9.8.4_all.zip /home/user/MyDocs/Downloads/NEWBACK && rm -f N950QTweakBackup_9.8.4_all.zip
