#!/bin/sh
#

#tcp
sysctl -w net.ipv4.tcp_fin_timeout=20
sysctl -w net.ipv4.tcp_no_metrics_save=1
sysctl -w net.ipv4.tcp_workaround_signed_windows=1
sysctl -w net.ipv4.tcp_retries2=6
sysctl -w net.ipv4.tcp_frto_response=2

sysctl -w net.ipv4.tcp_slow_start_after_idle=0
sysctl -w net.core.rmem_max=16777216
sysctl -w net.core.wmem_max=16777216
sysctl -w net.ipv4.tcp_rmem="4096 87380 1677721"
sysctl -w net.ipv4.tcp_wmem="4096 87380 1677721"

#I/O Scheduler
echo cfq > /sys/block/mmcblk0/queue/scheduler
echo 1000000000 > /sys/block/mmcblk0/queue/iosched/back_seek_max
echo 1 > /sys/block/mmcblk0/queue/iosched/back_seek_penalty
echo 500 > /sys/block/mmcblk0/queue/iosched/fifo_expire_sync
echo 750 > /sys/block/mmcblk0/queue/iosched/fifo_expire_async

#VM
echo 100000 > /proc/sys/vm/vfs_cache_pressure

#Ionice
/opt/fastern9/bin/ionice.real -c 1 -n 0 -p $(pidof meegotouchhome)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof tracker-store)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof tracker-miner-fs)
/opt/fastern9/bin/ionice.real -c 2 -n 0 -p $(pidof bme_RX-71)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof facebook-meego)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof twitter-meego)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof commhistoryd)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof msgindexer)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof messageserver)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof feedengine)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof msyncd)
/opt/fastern9/bin/ionice.real -c 3 -p $(pidof smartsearch)
